# README for Group Assignment 1.2

*[CEGM1000 MUDE](http://mude.citg.tudelft.nl/): Week 1.2, Friday, Sep 13, 2024.*

_This assignment does not need to be turned in._

The files in this Group Assignment (GA) are set up to prepare you for a "real" project next week, which you will have to submit for feedback and part of your Assignment Portfolio grade. There are three critical files to be aware of:

1. `README.md`: this file, which contains and introduction and instructions.
2. `Analysis.ipynb`: a Jupyter notebook which contains the primary analysis to complete during the in-class session.
3. `Report.md`: a Markdown file containing questions about the findings of Analysis, as well additional questions to check your understanding of the topic for this week.

You are expected to read and _work through each of the above files sequentially._ complete all tasks in the Analysis notebook and answer all questions in the Report by 12:30. You should leave the cell outputs in the notebook.

_Note that this week the GA does not need to be turned in. However, we still recommend you edit the files and save your work._

We recommend you keep the Workshop assignment from this week (WS 1.2) handy to complete this assignment!

### Working Method

We recommend that you select the computers of two group members to record your work: one computer for the `Analysis.ipynb`, the other for the `Report.md`. To collaborate we recommend an app like WhatsApp to send text and code (_this week only!_); it is not ideal, but next week we will learn a _much_ better way to collaborate!

## A Quick Recap

Last week we focused on investigating some of the available data and identifying possible models for predicting the break-up date in the Nenana Ice Classic. We looked at the results of a few models and realized that _a large part of the model error was due to variability in the data._ Most of this is associated with aleatoric uncertainty due to the somewhat-random behavior of nature. This week we will focus in particular on the uncertainty in ice growth, since that has a direct effect on when and how the tripod falls over and moves downstream.

As a reminder:
- Each year you can bet on the day and time the river ice in the Tanana River, Alaska, will break apart along the waterfront of the town Nenana.
- A tripod is constructed on the ice during the first weekend in March.
- Break-up time is determined as follows: "The Tripod is setup with a unique pulley and clock system that stops the clock once the tripod has moved downstream by 100 ft."
- You can buy a ticket for $3 and place a bet between Feb 1 and April 5.
- Visit the website for more information, or to view a live webcam of the river [nenanaakiceclassic.com](https://www.nenanaakiceclassic.com/).

**Once you have read everything above, continue with the `Analysis.ipynb`**

**End of file.**

<span style="font-size: 75%">
&copy; Copyright 2024 <a rel="MUDE" href="http://mude.citg.tudelft.nl/">MUDE</a>, TU Delft. This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">CC BY 4.0 License</a>.